<?php
spl_autoload_register(function($class) {
    $paths = [
        '../app/Controllers/' . $class . '.php',
        '../app/Models/' . $class . '.php',
        '../app/Core/' . $class . '.php', // <-- Aqui o C é maiúsculo
    ];
    foreach ($paths as $file) {
        if (file_exists($file)) {
            require_once $file;
            return;
        }
    }
});
